Create an annotation config
curl --request POST \
--url https://api.arize.com/v2/annotation-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Accuracy",
"space_id": "space_12345",
"annotation_config_type": "CATEGORICAL",
"values": [
{
"label": "accurate",
"score": 1
},
{
"label": "inaccurate",
"score": 0
}
],
"optimization_direction": "MAXIMIZE"
}
'import requests
url = "https://api.arize.com/v2/annotation-configs"
payload = {
"name": "Accuracy",
"space_id": "space_12345",
"annotation_config_type": "CATEGORICAL",
"values": [
{
"label": "accurate",
"score": 1
},
{
"label": "inaccurate",
"score": 0
}
],
"optimization_direction": "MAXIMIZE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Accuracy',
space_id: 'space_12345',
annotation_config_type: 'CATEGORICAL',
values: [{label: 'accurate', score: 1}, {label: 'inaccurate', score: 0}],
optimization_direction: 'MAXIMIZE'
})
};
fetch('https://api.arize.com/v2/annotation-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/annotation-configs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Accuracy',
'space_id' => 'space_12345',
'annotation_config_type' => 'CATEGORICAL',
'values' => [
[
'label' => 'accurate',
'score' => 1
],
[
'label' => 'inaccurate',
'score' => 0
]
],
'optimization_direction' => 'MAXIMIZE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/annotation-configs"
payload := strings.NewReader("{\n \"name\": \"Accuracy\",\n \"space_id\": \"space_12345\",\n \"annotation_config_type\": \"CATEGORICAL\",\n \"values\": [\n {\n \"label\": \"accurate\",\n \"score\": 1\n },\n {\n \"label\": \"inaccurate\",\n \"score\": 0\n }\n ],\n \"optimization_direction\": \"MAXIMIZE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.arize.com/v2/annotation-configs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Accuracy\",\n \"space_id\": \"space_12345\",\n \"annotation_config_type\": \"CATEGORICAL\",\n \"values\": [\n {\n \"label\": \"accurate\",\n \"score\": 1\n },\n {\n \"label\": \"inaccurate\",\n \"score\": 0\n }\n ],\n \"optimization_direction\": \"MAXIMIZE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/annotation-configs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Accuracy\",\n \"space_id\": \"space_12345\",\n \"annotation_config_type\": \"CATEGORICAL\",\n \"values\": [\n {\n \"label\": \"accurate\",\n \"score\": 1\n },\n {\n \"label\": \"inaccurate\",\n \"score\": 0\n }\n ],\n \"optimization_direction\": \"MAXIMIZE\"\n}"
response = http.request(request)
puts response.read_body{
"id": "QW5ub3RhdGlvbkNvbmZpZzoxMjM0NQ==",
"name": "quality-v2",
"space_id": "space_12345",
"type": "CATEGORICAL",
"values": [
{
"label": "good",
"score": 1
},
{
"label": "bad",
"score": 0
}
],
"optimization_direction": "MAXIMIZE",
"created_at": "2024-01-01T00:00:00Z"
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 409,
"title": "Resource conflict",
"detail": "A resource with the given identifier already exists.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-conflict"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Annotation Configs
Create an annotation config
Create a new annotation config.
Payload Requirements
- The annotation config name must be unique within the given space.
Valid example
{
"name": "my-annotation-config",
"space_id": "spc_123",
"annotation_config_type": "CATEGORICAL",
"values": [
{
"label": "value1",
"score": 0
},
{
"label": "value2",
"score": 1
}
],
"optimization_direction": "MAXIMIZE"
}
POST
/
v2
/
annotation-configs
Create an annotation config
curl --request POST \
--url https://api.arize.com/v2/annotation-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Accuracy",
"space_id": "space_12345",
"annotation_config_type": "CATEGORICAL",
"values": [
{
"label": "accurate",
"score": 1
},
{
"label": "inaccurate",
"score": 0
}
],
"optimization_direction": "MAXIMIZE"
}
'import requests
url = "https://api.arize.com/v2/annotation-configs"
payload = {
"name": "Accuracy",
"space_id": "space_12345",
"annotation_config_type": "CATEGORICAL",
"values": [
{
"label": "accurate",
"score": 1
},
{
"label": "inaccurate",
"score": 0
}
],
"optimization_direction": "MAXIMIZE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Accuracy',
space_id: 'space_12345',
annotation_config_type: 'CATEGORICAL',
values: [{label: 'accurate', score: 1}, {label: 'inaccurate', score: 0}],
optimization_direction: 'MAXIMIZE'
})
};
fetch('https://api.arize.com/v2/annotation-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/annotation-configs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Accuracy',
'space_id' => 'space_12345',
'annotation_config_type' => 'CATEGORICAL',
'values' => [
[
'label' => 'accurate',
'score' => 1
],
[
'label' => 'inaccurate',
'score' => 0
]
],
'optimization_direction' => 'MAXIMIZE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/annotation-configs"
payload := strings.NewReader("{\n \"name\": \"Accuracy\",\n \"space_id\": \"space_12345\",\n \"annotation_config_type\": \"CATEGORICAL\",\n \"values\": [\n {\n \"label\": \"accurate\",\n \"score\": 1\n },\n {\n \"label\": \"inaccurate\",\n \"score\": 0\n }\n ],\n \"optimization_direction\": \"MAXIMIZE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.arize.com/v2/annotation-configs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Accuracy\",\n \"space_id\": \"space_12345\",\n \"annotation_config_type\": \"CATEGORICAL\",\n \"values\": [\n {\n \"label\": \"accurate\",\n \"score\": 1\n },\n {\n \"label\": \"inaccurate\",\n \"score\": 0\n }\n ],\n \"optimization_direction\": \"MAXIMIZE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/annotation-configs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Accuracy\",\n \"space_id\": \"space_12345\",\n \"annotation_config_type\": \"CATEGORICAL\",\n \"values\": [\n {\n \"label\": \"accurate\",\n \"score\": 1\n },\n {\n \"label\": \"inaccurate\",\n \"score\": 0\n }\n ],\n \"optimization_direction\": \"MAXIMIZE\"\n}"
response = http.request(request)
puts response.read_body{
"id": "QW5ub3RhdGlvbkNvbmZpZzoxMjM0NQ==",
"name": "quality-v2",
"space_id": "space_12345",
"type": "CATEGORICAL",
"values": [
{
"label": "good",
"score": 1
},
{
"label": "bad",
"score": 0
}
],
"optimization_direction": "MAXIMIZE",
"created_at": "2024-01-01T00:00:00Z"
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 409,
"title": "Resource conflict",
"detail": "A resource with the given identifier already exists.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-conflict"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Service accounts may instead present an access token issued by an external identity provider (Microsoft Entra ID) when the account admin has configured that provider. Send it in the same header: Authorization: Bearer <access-token>.
Body
application/json
Body containing annotation config creation parameters
- Option 1
- Option 2
- Option 3
Response
An annotation config object
- Option 1
- Option 2
- Option 3
Was this page helpful?